#include "IPAddress.h"

namespace core {
   
   IPAddress::IPAddress() {
      addressLength = sizeof(struct sockaddr_in);
   }
   
   IPAddress::~IPAddress() {
      
   }

   std::string IPAddress::getClientAddress() {
      std::string result;
      return result;
   }
   
   std::string IPAddress::getClientAddressAndPort() {
      std::stringstream out;
      out << inet_ntoa(address.sin_addr);
      out << ":" << address.sin_port;
      return out.str();
   }
   
   int IPAddress::getClientPort() {
      int result = -1;   
      return result;
   }

}

